Bug 846416 - [abrt] gourmet-0.15.9-4.fc17: GourmetRecipeManager.py:286:update_action_group:TypeError: cannot concatenate 'str' and 'NoneType' objects
[abrt] gourmet-0.15.9-4.fc17: GourmetRecipeManager.py:286:update_action_group...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gourmet (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:7a0a4a60f23f460f31dcba5706c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 13:27 EDT by James
Modified: 2013-07-31 21:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:57:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2012-08-07 13:27:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/gourmet
executable:     /usr/bin/gourmet
kernel:         3.5.0-2.fc17.x86_64
time:           Sun 05 Aug 2012 05:43:04 PM CDT
uid:            1000
username:       tspdance

backtrace:
:GourmetRecipeManager.py:286:update_action_group:TypeError: cannot concatenate 'str' and 'NoneType' objects
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/gourmet/GourmetRecipeManager.py", line 1147, in show
:    self.update_go_menu()
:  File "/usr/lib/python2.7/site-packages/gourmet/GourmetRecipeManager.py", line 294, in update_go_menu
:    self.update_action_group()
:  File "/usr/lib/python2.7/site-packages/gourmet/GourmetRecipeManager.py", line 286, in update_action_group
:    [(action_name,None,'_'+rc.current_rec.title,
:TypeError: cannot concatenate 'str' and 'NoneType' objects
:
:Local variables in innermost frame:
:self: <gourmet.GourmetRecipeManager.RecGui instance at 0x7ffdad27d488>
:existing_action: None
:rc: <gourmet.reccard.RecCard object at 0x3482f90>
:action_name: 'GoRecipe2'

smolt_data:
:
:
:General
:=================================
:UUID: c2ec4a2c-4ad8-4c8f-bf4e-f1d3b622b631
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5333.31
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) D  CPU 2.66GHz
:CPU Stepping: 7
:CPU Family: 15
:CPU Model Num: 4
:Number of CPUs: 2
:CPU Speed: 2666
:System Memory: 3920
:System Swap: 5983
:Vendor: MSI
:System: MS-7592 5.0
:Form factor: Desktop
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11826:5218:30098) pci, i915, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:10176:5218:30098) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:5218:30098) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10168:5218:30098) pci, lpc_ich, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10200:5218:30098) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:5218:30098) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10196:5218:30098) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:5218:30098) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:5218:30098) pci, None, PCI/PCI, 82801 PCI Bridge
:(6164:769:5943:85) pci, rt61pci, NETWORK, WMP54G ver 4.1
:(32902:10185:5218:30098) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:5218:30098) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:11824:5218:30098) pci, agpgart-intel, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:10186:5218:30098) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:5218:30098) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:5218:30098) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg-lv_root / ext4 4096 4096 13081025 10696609 10041249 3276800 3025595 3025595
:/dev/sda1 /boot ext4 1024 1024 508644 399235 373635 128016 127665 127665
:/dev/mapper/vg-lv_home /home ext4 4096 4096 46215487 37098644 34784814 11575296 11558163 11558163
:
Comment 1 Fedora End Of Life 2013-07-03 19:20:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 21:57:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.